﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data.SqlClient;
using System.Web.Configuration;
using System.Web.Services;
using System.Web.Script.Services;
using System.Data;


namespace TreeGridSample
{
    public partial class TreeGridSample : System.Web.UI.Page
    {
        string connectionString;
        protected void Page_Load(object sender, EventArgs e)
        {
            var DataSource = this.GetData();
            this.container.DataSource = DataSource;
            this.container.Columns[5].DropDownData = GetDropdata();
            this.container.DataBind();
        }
   
        public class dropdown
        {
            public string Text { get; set; }
            public string Value { get; set; }

        }
        public List<SelfData> GetData()
        {
            List<SelfData> data = new List<SelfData>();
            data.Add(new SelfData()
            {
                Id = 1,
                Name = "Parent Task 1",
                StartDate = "02/23/2017",
                Duration = 5,
                PercentDone = 40,
                ParentId = null
            });
            data.Add(new SelfData()
            {
                Id = 2,
                Name = "Child Task 1",
                StartDate = "02/23/2017",
                Duration = 5,
                PercentDone = 40,
                ParentId = 1
            });
            data.Add(new SelfData()
            {
                Id = 3,
                Name = "Child Task 2",
                StartDate = "02/23/2017",
                Duration = 5,
                PercentDone = 40,
                ParentId = 1
            });
            data.Add(new SelfData()
            {
                Id = 4,
                Name = "Child Task 3",
                StartDate = "02/23/2017",
                Duration = 5,
                PercentDone = 40,
                ParentId = 1
            });

            data.Add(new SelfData()
            {
                Id = 5,
                Name = "Parent Task 2",
                StartDate = "03/14/2017",
                Duration = 5,
                PercentDone = 40,
                ParentId = null
            });
            data.Add(new SelfData()
            {
                Id = 6,
                Name = "Child Task 1",
                StartDate = "03/02/2017",
                Duration = 5,
                PercentDone = 40,
                ParentId = 5
            });
            data.Add(new SelfData()
            {
                Id = 7,
                Name = "Child Task 2",
                StartDate = "03/02/2017",
                Duration = 5,
                PercentDone = 40,
                ParentId = 5
            });
            data.Add(new SelfData()
            {
                Id = 8,
                Name = "Child Task 3",
                StartDate = "03/02/2017",
                Duration = 5,
                PercentDone = 40,
                ParentId = 5
            });
            data.Add(new SelfData()
            {
                Id = 9,
                Name = "Child Task 4",
                StartDate = "03/02/2017",
                Duration = 5,
                PercentDone = 40,
                ParentId = 5
            });

            data.Add(new SelfData()
            {
                Id = 10,
                Name = "Parent Task 3",
                StartDate = "03/06/2017",
                Duration = 5,
                PercentDone = 40,
                ParentId = null
            });
            data.Add(new SelfData()
            {
                Id = 11,
                Name = "Child Task 1",
                StartDate = "03/09/2017",
                Duration = 4,
                PercentDone = 40,
                ParentId = 10
            });
            data.Add(new SelfData()
            {
                Id = 12,
                Name = "Child Task 2",
                StartDate = "03/09/2017",
                Duration = 4,
                PercentDone = 40,
                ParentId = 10
            });
            data.Add(new SelfData()
            {
                Id = 13,
                Name = "Child Task 3",
                StartDate = "03/09/2017",
                Duration = 4,
                PercentDone = 40,
                ParentId = 10
            });
            data.Add(new SelfData()
            {
                Id = 14,
                Name = "Child Task 4",
                StartDate = "03/09/2017",
                Duration = 4,
                PercentDone = 40,
                ParentId = 10
            });
            data.Add(new SelfData()
            {
                Id = 15,
                Name = "Child Task 5",
                StartDate = "03/09/2017",
                Duration = 4,
                PercentDone = 40,
                ParentId = 10
            });
            return data;
        }
        private List<dropdown> GetDropdata()
        {
            List<dropdown> list = new List<dropdown>();

            SqlConnection con = new SqlConnection(WebConfigurationManager.ConnectionStrings["DefaultConnection"].ConnectionString);//connectionString
            con.Open();

            using (con)
            {
                using (var command = con.CreateCommand())
                {
                    command.CommandText = "SELECT * FROM dropData";

                    using (var reader = command.ExecuteReader())
                    {
                        var indexOfCol1 = reader.GetOrdinal("Text");
                        var indexOfCol2 = reader.GetOrdinal("Value");

                        while (reader.Read())
                        {
                            dropdown obj = new dropdown();
                            obj.Text = reader.GetValue(indexOfCol1).ToString();
                            obj.Value = reader.GetValue(indexOfCol2).ToString();

                            list.Add(obj);
                        }
                        reader.Close();

                    }
                   
                }
                con.Close();
            }
               return list;
        }
      
        
    }
    
}

public class SelfData
{
    public string StartDate { get; set; }
    public int Id { get; set; }
    public string Name { get; set; }
    public int Duration { get; set; }
    public int PercentDone { get; set; }
    public int? ParentId { get; set; }

}
